
Ruby - Bug #8925

Traversing a tree of files/catalogues produces a segmentation fault in find.rb

09/19/2013 04:01 PM - LarsDk (Lars Aurbakken)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.0.0p247 (2013-06-27)

[i386-mingw32]

Backport:  

Description

Traversing a tree of files/catalogues produces a segmentation fault:

SvnPropertyStripper.rb:18: [BUG] Segmentation fault

ruby 2.0.0p247 (2013-06-27) [i386-mingw32]

-- Control frame information -----------------------------------------------

c:0012 p:---- s:0044 e:000043 CFUNC  :write

c:0011 p:---- s:0042 e:000041 CFUNC  :puts

c:0010 p:0025 s:0038 e:000037 BLOCK  SvnPropertyStripper.rb:18 [FINISH]

c:0009 p:---- s:0034 e:000033 CFUNC  :open

c:0008 p:0025 s:0029 e:000028 BLOCK  SvnPropertyStripper.rb:16 [FINISH]

c:0007 p:---- s:0026 e:000025 CFUNC  :open

c:0006 p:0068 s:0021 e:000020 BLOCK  SvnPropertyStripper.rb:14

c:0005 p:0012 s:0017 e:000016 BLOCK  C:/Ruby200p247/lib/ruby/2.0.0/find.rb:43 [FINISH]

c:0004 p:---- s:0013 e:000012 CFUNC  :catch

c:0003 p:0044 s:0009 e:000008 METHOD C:/Ruby200p247/lib/ruby/2.0.0/find.rb:42

c:0002 p:0021 s:0004 E:001224 EVAL   SvnPropertyStripper.rb:9 [FINISH]

c:0001 p:0000 s:0002 E:0021cc TOP    [FINISH]

SvnPropertyStripper.rb:9:in <main>' C:/Ruby200p247/lib/ruby/2.0.0/find.rb:42:in find'

C:/Ruby200p247/lib/ruby/2.0.0/find.rb:42:in catch' C:/Ruby200p247/lib/ruby/2.0.0/find.rb:43:in block in find'

SvnPropertyStripper.rb:14:in block in <main>' SvnPropertyStripper.rb:14:in open'

SvnPropertyStripper.rb:16:in block (2 levels) in <main>' SvnPropertyStripper.rb:16:in open'

SvnPropertyStripper.rb:18:in block (3 levels) in <main>' SvnPropertyStripper.rb:18:in puts'

SvnPropertyStripper.rb:18:in `write'

-- C level backtrace information -------------------------------------------

C:\WINDOWS\system32\ntdll.dll(KiFastSystemCallRet+0x0) [0x7C90E514]

C:\WINDOWS\system32\kernel32.dll(WaitForSingleObject+0x12) [0x7C802542]

C:\Ruby200p247\bin\msvcrt-ruby200.dll(rb_vm_bugreport+0xa7) [0x668F6B57]

C:\Ruby200p247\bin\msvcrt-ruby200.dll(rb_name_err_mesg_new+0x69d) [0x667BE2BD]

C:\Ruby200p247\bin\msvcrt-ruby200.dll(rb_bug+0x2e) [0x667BF0BE]

C:\Ruby200p247\bin\msvcrt-ruby200.dll(rb_check_safe_str+0x180) [0x6687DCA0]

[0x00401866]

-- Other runtime information -----------------------------------------------

Loaded script: SvnPropertyStripper.rb

Loaded features:

0 enumerator.so

1 C:/Ruby200p247/lib/ruby/2.0.0/i386-mingw32/enc/encdb.so

2 C:/Ruby200p247/lib/ruby/2.0.0/i386-mingw32/enc/iso_8859_1.so

3 C:/Ruby200p247/lib/ruby/2.0.0/i386-mingw32/enc/trans/transdb.so

4 C:/Ruby200p247/lib/ruby/2.0.0/i386-mingw32/rbconfig.rb

5 C:/Ruby200p247/lib/ruby/2.0.0/rubygems/compatibility.rb

6 C:/Ruby200p247/lib/ruby/2.0.0/rubygems/defaults.rb

7 C:/Ruby200p247/lib/ruby/2.0.0/rubygems/deprecate.rb

8 C:/Ruby200p247/lib/ruby/2.0.0/rubygems/errors.rb

9 C:/Ruby200p247/lib/ruby/2.0.0/rubygems/version.rb
10 C:/Ruby200p247/lib/ruby/2.0.0/rubygems/requirement.rb

11 C:/Ruby200p247/lib/ruby/2.0.0/rubygems/platform.rb

12 C:/Ruby200p247/lib/ruby/2.0.0/rubygems/specification.rb

13 C:/Ruby200p247/lib/ruby/2.0.0/rubygems/exceptions.rb

14 C:/Ruby200p247/lib/ruby/2.0.0/rubygems/defaults/operating_system.rb

15 C:/Ruby200p247/lib/ruby/2.0.0/i386-mingw32/enc/utf_16le.so

16 C:/Ruby200p247/lib/ruby/2.0.0/i386-mingw32/enc/trans/utf_16_32.so

17 C:/Ruby200p247/lib/ruby/2.0.0/rubygems/core_ext/kernel_gem.rb

18 C:/Ruby200p247/lib/ruby/2.0.0/rubygems/core_ext/kernel_require.rb

19 C:/Ruby200p247/lib/ruby/2.0.0/rubygems.rb

20 C:/Ruby200p247/lib/ruby/2.0.0/ubygems.rb

21 C:/Ruby200p247/lib/ruby/2.0.0/find.rb

22 C:/Ruby200p247/lib/ruby/2.0.0/i386-mingw32/enc/trans/single_byte.so

The attached file SvnPropertyStripper.rb is started with

ruby SvnPropertyStripper.rb

History

#1 - 10/04/2013 12:14 PM - nagachika (Tomoyuki Chikanaga)

Hello,

Thank you for your report.

Could you reproduce this issue with trunk?

#2 - 12/02/2013 10:31 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Feedback

#3 - 07/19/2019 03:08 AM - jeremyevans0 (Jeremy Evans)

- Status changed from Feedback to Closed

- Backport deleted (1.9.3: UNKNOWN, 2.0.0: UNKNOWN)

Files

SvnPropertyStripper.rb 727 Bytes 09/19/2013 LarsDk (Lars Aurbakken)
